unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Tabs, Menus, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    PrintSetup1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    TabSet1: TTabSet;
    Notebook1: TNotebook;
    Page1Menu: TMainMenu;
    Page2Menu: TMainMenu;
    Window1: TMenuItem;
    Show1: TMenuItem;
    Hide1: TMenuItem;
    N3: TMenuItem;
    ArrangeAll1: TMenuItem;
    Cascade1: TMenuItem;
    Tile1: TMenuItem;
    NewWindow1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    HowtoUseHelp1: TMenuItem;
    SearchforHelpOn1: TMenuItem;
    Contents1: TMenuItem;
    Window2: TMenuItem;
    Show2: TMenuItem;
    Hide2: TMenuItem;
    N4: TMenuItem;
    ArrangeAll2: TMenuItem;
    Cascade2: TMenuItem;
    Tile2: TMenuItem;
    NewWindow2: TMenuItem;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure TabSet1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    CurMenu: TMainMenu;
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm1.TabSet1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
  case NewTab of
    0: begin
      CurMenu := Page1Menu;
      MainMenu1.Merge(Page1Menu);
    end;
    1: begin
      CurMenu := Page2Menu;
      MainMenu1.Merge(Page2Menu);
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CurMenu := Page1Menu;
  MainMenu1.Merge(CurMenu);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Form2.Show;
end;


procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Form3.Show;
end;

end.
