var
  h: HRSRC;
  ptrBlock, verinfo: Pointer;
  verInfoSize: integer;
begin
  // ...
  h := FindResource(HInstance, '#1', RT_VERSION);
  if h <> 0 then begin
    ptrBlock := LockResource(LoadResource(HInstance, h));
    VerQueryValue(ptrBlock, '\', verInfo, verInfoSize);
    with PVSFixedFileInfo(verInfo)^ do
      Version.Caption := ' Version ' +
        IntToStr(dwProductVersionMS div 65536) + '.' +     // major version
        IntToStr(dwProductVersionMS mod 65536) + '.' +     // minor version
        IntToStr(dwProductVersionLS div 65536) + '.' +     // release
        IntToStr(dwProductVersionLS mod 65536);            // build number
  end;
  // ...
end;
